#!/bin/bash
#
# usage: render.sh view file.pov ... file2.pov

view=$1
if test $view -eq 0
then
  width=120
  height=90
else
  width=320
  height=240
fi
shift

while test $# != 0
do
  PNG=`basename $1 .pov`
  povray +FN5 +O$PNG.png +W$width +H$height -D0 Declare=View=$view $1
  
  if test $view -eq 0
  then
    mogrify -crop 64x89+28+0 $PNG.png
  fi

  shift
done


